Package com.sas.lsaf.query.security.membership

## Enum ContextMembershipQuery.MembershipScope

- java.lang.Object
- - java.lang.Enum<ContextMembershipQuery.MembershipScope>
  - - com.sas.lsaf.query.security.membership.ContextMembershipQuery.MembershipScope

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ContextMembershipQuery.MembershipScope>`
  Enclosing class:
    ContextMembershipQuery

      public static enum ContextMembershipQuery.MembershipScope
      extends java.lang.Enum<ContextMembershipQuery.MembershipScope>

  The scope in which to query the membership.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` | All members, which includes assigned members, defined groups, and all of their children.
    `ASSIGNED` | The users and groups that have been explicitly assigned as a member of the context and any of their child members.
    `DEFINED` | The groups that were originally defined at the context and any of their child members.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContextMembershipQuery.MembershipScope` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ContextMembershipQuery.MembershipScope[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASSIGNED

          public static final ContextMembershipQuery.MembershipScope ASSIGNED

      The users and groups that have been explicitly assigned as a member of the context and any of their child members.

    - #### DEFINED

          public static final ContextMembershipQuery.MembershipScope DEFINED

      The groups that were originally defined at the context and any of their child members.

    - #### ALL

          public static final ContextMembershipQuery.MembershipScope ALL

      All members, which includes assigned members, defined groups, and all of their children.

  - ### Method Detail

    - #### values

          public static ContextMembershipQuery.MembershipScope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContextMembershipQuery.MembershipScope c : ContextMembershipQuery.MembershipScope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContextMembershipQuery.MembershipScope valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null